From e7b4a99cee7099124116a5015120d444f952a406 Mon Sep 17 00:00:00 2001
From: Robert Smith <quad@symbo1ics.com>
Date: Tue, 24 Apr 2012 20:30:35 -0600
Subject: [PATCH 1/3] Add modify macros MULF and DIVF for * and /
 respectively.

The macros are intended to coincide with INCF and DECF, and are useful
in the same contexts that C's `*=' and `/=' operators are useful.
---
 numbers.lisp |    8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/numbers.lisp b/numbers.lisp
index 03430cc..87a5914 100644
--- a/numbers.lisp
+++ b/numbers.lisp
@@ -127,6 +127,14 @@ maximum of its original value and NUMBERS.")
   "Modify-macro for MIN. Sets place designated by the first argument to the
 minimum of its original value and NUMBERS.")
 
+(define-modify-macro mulf (&optional (factor 2)) *
+  "Modify-macro for *. Sets place designated by the first argument to
+  its product with FACTOR.")
+
+(define-modify-macro divf (&optional (divisor 2)) /
+  "Modify macro for /. Sets the place designated by the first argument
+  to its quotient with DIVISOR.")
+
 ;;;; Factorial
 
 ;;; KLUDGE: This is really dependant on the numbers in question: for
-- 
1.7.10

